## python-pcre2 0.3.0+ds

=== debian/changelog ===
python-pcre2 (0.3.0+ds-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:57:29 +0000

python-pcre2 (0.3.0+ds-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 10:06:09 +0100

python-pcre2 (0.3.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Sep 2023 09:37:23 +0200

python-pcre2 (0.2.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1051798)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 11 Sep 2023 15:01:03 +0200
