=== debian/control ===
Source: python-pcre2
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all-dev,
               python3-setuptools,
               python3-skbuild,
               ninja-build,
               pybuild-plugin-pyproject,
               cython3,
               libpcre2-dev,
               python3-pytest <!nocheck>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/crusoe/python-pcre2
Vcs-Git: https://salsa.debian.org/crusoe/python-pcre2.git
Homepage: https://github.com/grtetrault/pcre2.py
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pcre2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: Python bindings for the PCRE2 regular expression library
 This package contains Python bindings for PCRE2. PCRE2 is the revised API for
 the Perl-compatible regular expressions (PCRE) library created by Philip Hazel.
 .
 For original source code, see the official PCRE2 repository:
 https://github.com/PCRE2Project/pcre2
