## python-pcre2 0.4.0+ds

=== debian/changelog ===
python-pcre2 (0.4.0+ds-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:26:26 +0000

python-pcre2 (0.4.0+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:16:41 +0000

python-pcre2 (0.4.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * Skip the JIT tests on armel. Closes: #1087722

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 12:44:45 +0100
