=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                cython3,
                libpcre2-dev,
                python3-pytest <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/crusoe/python-pcre2
 Vcs-Git: https://salsa.debian.org/crusoe/python-pcre2.git
 Homepage: https://github.com/grtetrault/pcre2.py
