## python-pcre2 0.6.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(CMAKE_C_STANDARD 99)
 
-set(PCRE2_INCLUDE_DIR ${CMAKE_BINARY_DIR}/src/libpcre2)
+set(PCRE2_INCLUDE_DIR ${CMAKE_BINARY_DIR}/src/libpcre2/interface)
 set(CYTHON_EXTRA_COMPILE_ARGS -DPCRE2_CODE_UNIT_WIDTH=8 -fPIC)
 
 # Set PCRE2 options.
