=== debian/changelog ===
python-pcre2 (0.6.0+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.6.0 (Closes: #1119877)
  * Disable jit test on additional architectures (Closes: #1053528)

 -- Bastian Germann <bage@debian.org>  Mon, 09 Feb 2026 12:01:04 +0100
