=== debian/control ===
--- 
+++ 
@@ -26,6 +26,3 @@
 Description: Python bindings for the PCRE2 regular expression library
  This package contains Python bindings for PCRE2. PCRE2 is the revised API for
  the Perl-compatible regular expressions (PCRE) library created by Philip Hazel.
- .
- For original source code, see the official PCRE2 repository:
- https://github.com/PCRE2Project/pcre2
