=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export LC_ALL=C.UTF-8

include /usr/share/dpkg/architecture.mk

export PYBUILD_TEST_ARGS= -k 'not test_re_compatibility'

ifneq (,$(filter alpha armel hppa m68k sh4 sparc64 x32, $(DEB_HOST_ARCH)))
export PYBUILD_TEST_ARGS+= -k 'not (test_pattern_jit)'
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean || true
